Joomla not support PHP5 ? Why ? :)

Các thắc mắc, hướng dẫn về cài đặt và cấu hình Joomla

Moderator: hungkhanggl

Locked
User avatar
mp26x
Joomla! Apprentice
Joomla! Apprentice
Posts: 14
Joined: Wed Oct 05, 2005 10:05 am

Joomla not support PHP5 ? Why ? :)

Post by mp26x » Sat Oct 15, 2005 6:32 am

Joomla khong ung ho php5 a` phai ko cac pa'c :)

User avatar
mp26x
Joomla! Apprentice
Joomla! Apprentice
Posts: 14
Joined: Wed Oct 05, 2005 10:05 am

Re: Joomla not support PHP5 ? Why ? :)

Post by mp26x » Sun Oct 16, 2005 10:56 am

Mình chờ có pác nào cao kiến về vấn đề này ..mà chả có ý kiến ý cò gì .. chớn quá ....  hay là các pác báo cho Joomla  một phát đi nào .. để version sau họ còn nâng cấp :) 


à  mà  các pác cũng  mở thêm cách chỉ dẫn thắc mắc  khi install joomla ..  giúp đỡ đồng bào đi nào :)

User avatar
quocnht
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 217
Joined: Fri Aug 19, 2005 4:57 am
Location: Vietnam
Contact:

Re: Joomla not support PHP5 ? Why ? :)

Post by quocnht » Mon Oct 17, 2005 1:57 am

Joomla được viết cho PHP4, nhưng trên PHP5 mình thấy vẫn chạy bình thường
Mình đã chạy thử trên:
Apache 2.0
PHP 5.0.4
MySQL 4.0.24-nt


Joomla 2.0 sẽ được viết trên PHP5: http://www.joomla.org/content/view/14/28/
If you think it will be - it will be.

Jingjang
Joomla! Guru
Joomla! Guru
Posts: 615
Joined: Thu Oct 13, 2005 10:35 am

Re: Joomla not support PHP5 ? Why ? :)

Post by Jingjang » Tue Nov 01, 2005 10:28 am

hien tai joomla chua ho tro day du cho php5, vi vay cac ban nen dung php4 trong giai doan nay, sang phien ban tiep theo cua JOS thi hay dung php5 + mysql5
:)

User avatar
Linharex
Joomla! Apprentice
Joomla! Apprentice
Posts: 33
Joined: Tue Nov 08, 2005 8:53 am
Location: Ha Noi - Vietnam
Contact:

Re: Joomla not support PHP5 ? Why ? :)

Post by Linharex » Mon Nov 14, 2005 3:13 am

Tôi chạy thử Joomla trên localhost cài Apache2/PHP5 và MySQL 5.0 (Bản mới nhất luôn) Thì thấy chạy vẫn bình thường, ko vấn đề gì cả! Chắc có lẽ vẫn sử dụng được, tuy nhiên hiện nay ít hosting cài Apache2/PHP5 và MySQL 5.0 lắm, cứ yên tâm mà dùng, cha biết đến bao giờ mới có hosting sử dụng mấy cái đó nhỉ. Vả lại tớ thấy cũng chả cần thiết lắm, hosting chạy Apache 1.3/PHP4 và MySQL 4 chạy vẫn tít mà!

User avatar
MrSleep
Joomla! Apprentice
Joomla! Apprentice
Posts: 49
Joined: Fri Sep 16, 2005 2:25 am
Location: Vietnam
Contact:

Re: Joomla not support PHP5 ? Why ? :)

Post by MrSleep » Mon Nov 14, 2005 4:58 am

Linharex wrote: Vả lại tớ thấy cũng chả cần thiết lắm, hosting chạy Apache 1.3/PHP4 và MySQL 4 chạy vẫn tít mà!
Hoàn toàn khác. Chỉ là vẫn đang phát triển nên chưa được ứng dụng rộng rãi thôi PHP 5.x, MySQL 5.x và Apache 2.x là dành cho kỷ nguyên mới. :)

User avatar
Linharex
Joomla! Apprentice
Joomla! Apprentice
Posts: 33
Joined: Tue Nov 08, 2005 8:53 am
Location: Ha Noi - Vietnam
Contact:

Re: Joomla not support PHP5 ? Why ? :)

Post by Linharex » Tue Nov 15, 2005 2:20 am

Ùh há! Kể cũng đúng, nhưng ít nhất thì đến thời điểm này là chưa cần thiết ( hơi cứng đầu :))

User avatar
masterchief
Joomla! Hero
Joomla! Hero
Posts: 2316
Joined: Fri Aug 12, 2005 2:45 am
Location: Brisbane, Australia
Contact:

Re: Joomla not support PHP5 ? Why ? :)

Post by masterchief » Fri Dec 30, 2005 12:34 am

For MySQL5 issues, please refer to this thread:
http://forum.joomla.org/index.php/topic ... #msg156917
Andrew Eddie - Tweet @AndrewEddie
<><
http://eddify.me
http://www.kiva.org/team/joomla - Got Joomla for free? Pay it forward and help fight poverty.

Jingjang
Joomla! Guru
Joomla! Guru
Posts: 615
Joined: Thu Oct 13, 2005 10:35 am

Re: Joomla not support PHP5 ? Why ? :)

Post by Jingjang » Sat Dec 31, 2005 2:48 am

anh chàng này bít tiếng vi hay sao ấy ?
:)

khongten
Joomla! Apprentice
Joomla! Apprentice
Posts: 14
Joined: Thu Dec 22, 2005 11:34 am

Re: Joomla not support PHP5 ? Why ? :)

Post by khongten » Thu Jan 05, 2006 3:47 pm

chít chít
năm sau joomla dùng PHP5 trong khi các host vẫn lẹt đẹt xài PHP4 và không buồ nâng cấp lên
có contact chưa chắc họ nâng cấp vì đa số khách hàng xài PHP4
thế là hết xài Joomla à

khongten
Joomla! Apprentice
Joomla! Apprentice
Posts: 14
Joined: Thu Dec 22, 2005 11:34 am

Re: Joomla not support PHP5 ? Why ? :)

Post by khongten » Fri Jan 06, 2006 10:37 am

không ai quan tâm vấn đề này à
tới lúc đó bài viết nhiều mà host không support php5 thì nản thật đấy
không biết nó có làm 1 bản cho php4 không ta

Jingjang
Joomla! Guru
Joomla! Guru
Posts: 615
Joined: Thu Oct 13, 2005 10:35 am

Re: Joomla not support PHP5 ? Why ? :)

Post by Jingjang » Sat Jan 07, 2006 3:35 am

các bác cứ yên tâm, năm nay joomla support cho cả php4 & 5, chuyển sang php5 là điều tất yếu thôi
:)

User avatar
n3452323
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 103
Joined: Wed Dec 28, 2005 9:12 am
Location: VIETNAM
Contact:

Re: Joomla not support PHP5 ? Why ? :)

Post by n3452323 » Wed Mar 15, 2006 9:36 am

Theo ttôi cái lỗi này là do chay PHP5 + mySQL3.2
Hình như cũng có lần tôi bị.

Còn hiện nay site của tôi chay trên server PHP5 vẫn OK

hellraiser0110
Joomla! Apprentice
Joomla! Apprentice
Posts: 6
Joined: Tue Jun 27, 2006 3:09 am

Re: Joomla not support PHP5 ? Why ? :)

Post by hellraiser0110 » Thu Mar 15, 2007 3:58 pm

Các đồng chí thân mến, theo tôi tìm hiểu thì PHP5 hiện nay đang có một lỗi rất tồi tệ khi sử lý string vì thế nếu cài đặt joola trên nền PHP5 và trong file cấu hình PHP.ini để display all error thì nó sẽ thông báo Warning liên tục gây lỗi khi hiển thị joomla.

Vì thế để joomla hoạt động tốt trên nền PHP5, nên tắt chức năng thông báo lỗi của PHP5.

Tôi đọc được cái này:

Please note: The most important fix is PHP5.2 compatibility.
Because of a nasty bug in the PHP5.2 mbstring extension, you have to additionally switch display_errors Off, to be able to work with eGroupWare using multibyte charsets like utf-8 (or anyway if you have mbstring.func_overload > 0). Otherwise you get tons of "empty haystack" warnings.

hellraiser0110
Joomla! Apprentice
Joomla! Apprentice
Posts: 6
Joined: Tue Jun 27, 2006 3:09 am

Re: Joomla not support PHP5 ? Why ? :)

Post by hellraiser0110 » Thu Mar 15, 2007 3:59 pm

Các đồng chí thân mến, theo tôi tìm hiểu thì PHP5 hiện nay đang có một lỗi rất tồi tệ khi sử lý string vì thế nếu cài đặt joola trên nền PHP5 và trong file cấu hình PHP.ini để display all error thì nó sẽ thông báo Warning liên tục gây lỗi khi hiển thị joomla.

Vì thế để joomla hoạt động tốt trên nền PHP5, nên tắt chức năng thông báo lỗi của PHP5.

Tôi đọc được cái này:

Please note: The most important fix is PHP5.2 compatibility.
Because of a nasty bug in the PHP5.2 mbstring extension, you have to additionally switch display_errors Off, to be able to work with eGroupWare using multibyte charsets like utf-8 (or anyway if you have mbstring.func_overload > 0). Otherwise you get tons of "empty haystack" warnings.


Locked

Return to “Cài đặt - Cấu hình”